Subject: Re: [bitcoin-dev] BIP Proposal: Consensus (hard fork) PoST Datastore for Energy Efficient Mining

From: ZmnSCPxj <[email-masked]>
Date: Wed, 17 Mar 2021 06:56:27 +0000

Good morning Andrew,

> I wouldn't fully discount general purpose hardware or hardware outside of the realm of ASICS. BOINC (https://cds.cern.ch/record/800111/files/p1099.pdf) implements a decent distributed computing protocol (granted it isn't a cryptocurrency), but it far computes data at a much cheaper cost compared to the competition w/ decent levels of fault tolerance. I myself am running an extremely large scale open distributed computing pipeline, and can tell you for certain that what is out there is insane. In regards to the argument of generic HDDs and CPUs, the algorithmic implementation I am providing would likely make them more adaptable. More than likely, evidently there would be specialized HDDs similar to BurstCoin Miners, and 128-core CPUs, and all that. This could be inevitable, but the main point is providing access to other forms of computation along w/ ASICs. At the very least, the generic guys can experience it, and other infrastructures can have some form of compatibility.

What would the advantage of this be?

As I see it, changing the underlying algorithm is simply an attempt to reverse history, by requiring a new strain of specialization to be started instead of continuing the trend of optimizing SHA256d very very well.

I think it may be better to push *through* rather than *back*, and instead spread the optimization of SHA256d-specific hardware so widely that anyone with 2 BTC liquidity in one location has no particular advantage over anyone with 2 BTC liquidity in another location.
For one, I expect that there will be fewer patentable surprises remaining with SHA256d than any newer, much more complicated construction.

Regards,
ZmnSCPxj